petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscOptionsBool

Determines if a particular option is in the database with a true or false

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsBool_Private(PetscOptionItems *PetscOptionsObject,const char opt[],const char text[],const char man[],PetscBool currentvalue,PetscBool  *flg,PetscBool  *set)

Logically Collective on the communicator passed in PetscOptionsBegin()

### Input Parameters

| opt | - option name
| text | - short string that describes the option
| man | - manual page with additional information on option
| currentvalue | - the current value

### Output Parameter

flg -PETSC_TRUE or PETSC_FALSE
set -PETSC_TRUE if found, else PETSC_FALSE

### Notes

TRUE, true, YES, yes, nostring, and 1 all translate to PETSC_TRUE FALSE, false, NO, no, and 0 all translate to PETSC_FALSE

If the option is given, but no value is provided, then flg and set are both given the value PETSC_TRUE. That is -requested_bool is equivalent to -requested_bool true

If the user does not supply the option at all flg is NOT changed. Thus you should ALWAYS initialize the flg if you access it without first checking if the set flag is true.

### Notes

Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(NULL,),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

beginner

### Location

src/sys/objects/aoptions.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex2.c.html
src/dm/impls/plex/examples/tutorials/ex5.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex18.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/ksp/ksp/examples/tutorials/ex62.c.html
src/ksp/ksp/examples/tutorials/ex64.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex28.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages